Get all with filter
OpenAPI V2
Gets all the message types appropriate for the delivery process according to filters applied (SBR Nexus/Digipoort)(NL)
Authorizations
AuthorizationstringRequired
Please enter token
Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional
Name of the application to integrates with API’s to Semansys.Next.
PartnerNameanyOptional
Contract owner (organization) name that have embedded the API’s.
PartnerIDanyOptional
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
CustomerNameanyOptional
Customer (organization) name (ie. accounting firm, intermediary, ....).
CustomerIDanyOptional
Business Identification Number (BIN) of the customer.
ClientNameanyOptional
Client (organization) name of the customer of the accounting firm, intermediary...
ClientIDanyOptional
Business Identification Number (BIN) of the client.
Body
portalstring | nullableOptionalExample:
The preffered portal (SBR Nexus/Digipoort)
Digipoortentrypointstring | nullableOptionalExample:
Relevant taxonomy
http://www.nltaxonomie.nl/nt15/kvk/20201209/entrypoints/kvk-rpt-jaarverantwoording-2020-nlgaap-middelgroot.xsdResponses
200
OK
application/json
400
Bad Request
application/json
401
Unauthorized
post
/customer-corner/delivery/messages/get-all-with-filterPOST /customer-corner/delivery/messages/get-all-with-filter HTTP/1.1
Host:
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 148
{
"portal": "Digipoort",
"entrypoint": "http://www.nltaxonomie.nl/nt15/kvk/20201209/entrypoints/kvk-rpt-jaarverantwoording-2020-nlgaap-middelgroot.xsd"
}[
{
"name": "Jaarrekening",
"epDescription": "Jaarverantwoording 2020 NLGAAP - middelgrote rechtspersonen",
"receivers": [
{
"name": "KVK",
"identityType": "ID-ontvanger",
"identityNumber": "00000000123456780000"
}
]
}
]Was this helpful?